package com.qmth.distributed.print.business.bean.result.analyze;

import com.qmth.teachcloud.common.enums.DimensionEnum;
import com.qmth.teachcloud.common.enums.EvaluationEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 分析维度模块评价查询返回值
 * @Author: CaoZixuan
 * @Date: 2022-05-31
 */
public class GradeModuleEvaluationResult {
    @ApiModelProperty(value = "模块类型（知识、维度、素养）")
    private DimensionEnum moduleType;

    @ApiModelProperty(value = "计算公式规则")
    private EvaluationEnum formula;

    @ApiModelProperty(value = "取值范围（计算用）")
    private String scope;

    @ApiModelProperty(value = "展示用范围最小阈值")
    private String min;

    @ApiModelProperty(value = "展示用范围最大阈值")
    private String max;

    @ApiModelProperty(value = "等级")
    private String levelCode;

    @ApiModelProperty(value = "水平等级层次")
    private String levelName;

    @ApiModelProperty(value = "诊断结果")
    private String result;

    @ApiModelProperty(value = "学习建议")
    private String advice;

    public DimensionEnum getModuleType() {
        return moduleType;
    }

    public void setModuleType(DimensionEnum moduleType) {
        this.moduleType = moduleType;
    }

    public EvaluationEnum getFormula() {
        return formula;
    }

    public void setFormula(EvaluationEnum formula) {
        this.formula = formula;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getMin() {
        return min;
    }

    public void setMin(String min) {
        this.min = min;
    }

    public String getMax() {
        return max;
    }

    public void setMax(String max) {
        this.max = max;
    }

    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }
}
